#23 patch to not crash with new gcc FORTIFY work

closed-fixed
None
5
2010-02-23
2009-06-25
No

gcc 's -D_FORTIFY=2 will cause hunspell using apps to crash, attached is a patch to avoid this problem (i.e. we're using "Unwarranted chumminess with compiler" already, so use the more-common pattern for this which the FORTIFY feature knows about).

Fixes a few other warnings while I'm at it

Discussion

  • Németh László

    • assigned_to: nobody --> nemethl
    • status: open --> open-accepted
     
  • Németh László

    Many thanks for the fixes and the report.

     
  • caolan mcnamara

    caolan mcnamara - 2010-02-23
    • status: open-accepted --> closed-fixed
     
  • caolan mcnamara

    caolan mcnamara - 2010-02-23

    fix checked in

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks